Name:           spectrwm
Version:        2.3.0
Release:        2%{?dist}
Summary:        Minimalist tiling window manager written in C
License:        ISC

# -Wl,-soname for libswmhack.so.0
Patch0:         %{name}-%{version}-versioned-shared-lib.patch
# install config file
Patch1:         %{name}-%{version}-conf-file.patch
URL:            https://opensource.conformal.com/wiki/%{name}
Source0:        https://opensource.conformal.com/snapshots/%{name}/%{name}-%{version}.tgz
BuildRequires:  xcb-util-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXft-devel
BuildRequires:  libXt-devel
BuildRequires:  libXrandr-devel
Requires:       xterm
Requires:       xlockmore
Requires:       dmenu

%description
Spectrwm is a small dynamic tiling window manager for X11.
It tries to stay out of the way so that valuable screen real
estate can be used for much more important stuff.
It has sane defaults and does not require one to learn a
language to do any configuration. It was written by hackers
for hackers and it strives to be small, compact and fast.

%package devel
Requires:       %{name} = %{version}-%{release}
Summary:        Spectrwm development files

%description devel
Contains development files used by spectrwm.

%prep
%setup -q

%patch0 -p1 -b %{name}-%{version}-versioned-shared-lib.patch
%patch1 -p1 -b %{name}-%{version}-conf-file.patch

iconv -f iso8859-1 -t utf-8 %{name}_es.1 > %{name}_es.1.conv
iconv -f iso8859-1 -t utf-8 %{name}_pt.1 > %{name}_pt.1.conv
mv -f %{name}_es.1.conv %{name}_es.1
mv -f %{name}_pt.1.conv %{name}_pt.1

%build
make -C linux/ %{?_smp_mflags} PREFIX=/usr LIBDIR=%{_libdir}

%install
make -C linux/ install PREFIX=/usr LIBDIR=%{_libdir} DESTDIR=%{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/scrotwm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}_es.1.gz
%{_mandir}/man1/%{name}_it.1.gz
%{_mandir}/man1/%{name}_pt.1.gz
%{_mandir}/man1/%{name}_ru.1.gz
%{_libdir}/libswmhack.so.*
%files devel
%{_libdir}/libswmhack.so

%changelog
* Sun Jul 28 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.3.0-2
- scrotwm symlink not removed to match with upstream

* Fri May 17 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.3.0-1
- latest stable version 2.3.0

* Sat Apr 27 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-10
- prefix no longer hardcoded

* Tue Apr 16 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-9
- doc flag removed, not needed in this case

* Tue Apr 16 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-8
- post and postun removed for devel package
- doc line not left empty

* Tue Apr 16 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-7
- arch specific conditions from build and install stages removed

* Tue Apr 16 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-6
- default programs used by spectrwm mentioned as Requires

* Mon Apr 15 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-5
- shlib symlinks handled in upstream Makefile, not in spec

* Sat Apr 13 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-4
- versioned shared lib patch modified

* Fri Apr 12 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-3
- only unversioned .so file goes into devel
- url and source links don't use hardcoded package name

* Thu Apr 11 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-2
- extra blank lines removed
- hardcoded name and version removed
- scriptlets moved below install section
- man pages are in the doc section
- added default programs used to BR (xterm,xlock,dmenu)
- versioned shared library uses -Wl,-soname and goes into devel package
- symlinks .so.0 and .so to shared library created

* Mon Apr 01 2013 Lokesh Mandvekar <lsm5@buffalo.edu> 2.2.0-1
- initial package (2.2.0)
